# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added
- Button added to switch to dark theme. @rgiedryte 
- Add HeadTA Job Offers @toberhuber @dsavvidi

- Added JobHolder and Project Entity @mmadara
### Changed
- Queue feedback rating link replaced with actual rating. @dsavvidi

### Fixed

## [2.2.5]

### Added
- Allow filtering job page by quarter @cedric-dev @dsavvidi
- Allow filtering applications and flex delft exports by quarter @dsavvidi
- Allow filtering contract requests and their exports by quarter @dsavvidi
- Button added to switch to dark theme. @rgiedryte
- Allow filtering by job page by quarter @cedric-dev

### Changed

### Fixed
- Application and rejection message markdown is now correctly rendered in emails.

## [2.2.4]

### Added

### Changed
- Promote button description is now a bit more clear.

### Fixed
- Offer position to selected applicants did not work.

## [2.2.3]

### Added
- Index page for the TAM help center @toberhuber
- Allow job offers to be imported as draft @dsavvidi
- Added option to duplicate/copy job offers @dsavvidi
- Course code and programme are displayed on job offers pages @dsavvidi
- Added the pay scale to application exports @hpage
- Simple approve/reject workflow for Raise Requests @dsavvidi
- Share offer button that allows a teacher to share the link of a job offer to a student. @hpage
- Search courses functionality @dsavvidi
- Course view page and Edition page @dsavvidi
- Functionality to add/remove staff from an edition @dsavvidi
- If TA/HeadTA is detected in the edition but does not have a job offer a warning is shown at the top of the page @dsavidi

### Changed
- Contract requests renamed to contract offers @toberhuber
- TAM help center improved @toberhuber
- Student number and current pay scale is now displayed when verifying raise requests @hpage
- Payscale and TA training information is now hidden if viewing a staff member @dsavvidi
- Programmes managed by a teacher and courses they are teaching is shown in their profile page @dsavvidi

### Fixed
- Hide editions if all job offers are hidden @dsavvidi

## [2.2.2]

### Added
- Aria labels to all buttons/links used as buttons. @toberhuber
- Show salary scale on search people page @dsavvidi
- Added a field which indicates if a student took a course previously. @toberhuber, @dsavvidi
- Show NetID in TA Training Export @dsavvidi
- Coordinators can now filter applications on status, and contract start date. @rwbackx
- Trainings can now be 'required' for a job offer. This will ease administration of trainings. @rwbackx
- Default trainings can be configures for a programme. These are required for any job offer of the programme. @rwbackx

### Changed
- Job offer applications are sorted based on the time of application @dsavvidi
- The coordinator view for applications has been split into 'all applications' and 'for flexdelft'. @rwbackx

### Fixed
- Declaring extra work explanation now limited to 10-140 characters @dsavvidi

## [2.1.7]

### Added
- Job offers are now created as draft (hidden) by default and can be published later @dsavvidi
- Ability for coordinators to search for students in the system. @dsavvidi
- Alert if rejecting people with empty/not edited rejection messsage. @dsavvidi
- Add global default rejection text. @dsavvidi

### Changed

### Fixed
- Made all text dynamic instead of hard-coded. @toberhuber
- Fixed HeadTA role being overwritten on accepting a job offer. @toberhuber
- Exporting contract requests now has batches. @rwbackx
- Toggling state now saved on Job Offers Page for Students @dsavvidi
- Retracting a contract request gave a constraint violation exception @dsavvidi

## [2.1.6]

### Added
- Email notifications for unhandled contract requests. @toberhuber
- Email notifications for unhandled raise requests. @toberhuber
- Add pagination to raise requests, all declarations, and all applications. @toberhuber
- Ability to select multiple applications to reject/offer. @dsavvidi

### Changed
- Applications will now be removed from the 'My applications' page after the edition has ended. @rwbackx
- Raise request PDFs are now embedded so do not need to be downloaded anymore. @rwbackx

### Fixed
 - FlexDelft export did not always work when generating the export took too long. @rwbackx
 - Contract requests would not show up for head TAs. @rwbackx

## [2.1.5]

### Changed
- Job offer import now includes job information. @rwbackx
- Job offer information can now always be viewed. @rwbackx

### Fixed
- TA training template file was not working. @rwbackx
- Searching for job offers would error if there were no results. @rwbackx
- Hiring and rejection messages could not be edited. @rwbackx

## [2.1.4]

### Added
- TA Trainings can now be imported by CSV. @hpage
- Coordinators can now indicate which programmes their job offers should be advertised to. @rwbackx 

### Changed
- TA experience text has been reworded to indicate it might not be complete. @rwbackx

### Fixed
- Applications on the job offer page were not properly ordered by application date. @rwbackx
- All applications coordinator view would load twice. @rwbackx

## [2.1.3]

### Added
 - Admins and programme coordinators can now add or remove TA coordinators. @rwbackx

### Changed
 - Job information, hiring message, and reject message are now edited through the job details page, to facilitate bigger textareas. @rwbackx
 - The edition create dialog now has some explanation about what to fill in. @rwbackx

### Fixed
 - Fixed a bug where anyone without a role in a course edition could see the full job offer details. @rwbackx

## [2.1.2]

### Added
* Links to the documentation page (in the footer) @toberhuber
* TA trainings now support coordinator defined types @toberhuber
* Job offers can now have a configurable description visible to students before they apply @rwbackx
* Templates for job offer and extra work imports @toberhuber
* A checkbox to verify if you want to use a non-default baan-code @toberhuber
* Completed training is listed in coordinator exports @toberhuber
* Teachers can now view student profiles (with training and payscale visible) @toberhuber

### Changed
* FlexDelft export for extra work now shows approved hours, not maximum hours @toberhuber
* Importing job offers now provided better insight in what is wrong with the input file @rwbackx
* CSVs can now be imported with any supported separator, the separator used will be auto-detected @rwbackx
* Teachers can now indicate that applications should respond to the job information @rwbackx
* FlexDelft export for extra work now shows approved hours, not maximum hours @toberhuber
* Rejected by student job offers are now displayed if the student rejected after they were offered a position @rwbackx

### Fixed
* Links in emails work again @toberhuber

## [2.1.1]

### Added

### Changed
* Job offers page now has a programme select before the user sees any job offers @rwbackx
* Moved TUDelft logo to footer and made footer appear on every page @toberhuber

### Fixed
* Offering positions to specific students @toberhuber
* Offer positions now works again @rwbackx
* FlexDelft export is now in the correct format @rwbackx

## [2.1.0]

### Added
* Previous TAM homepage information @toberhuber
* Changelog, readme, contribution guidelines and GitLab merge request template @toberhuber
* `.gitattributes` for `CHANGELOG.md` to reduce merge conflicts with `merge=union` @toberhuber
* Show/hide previous editions button on job-offer/manage and job-offer/manage/all pages @toberhuber
* Ability to offer a position via student number @toberhuber
* Approve all open declarations button @toberhuber
* Create new edition button on job-offer/manage page @toberhuber
* Exporting extra work declarations @toberhuber
* All declarations page @toberhuber
* Exporting all extra work declarations @toberhuber
* Search by name when offering a position to a specific person @toberhuber
* Spotless for the frontend (HTML, SCSS, JS) @toberhuber
* Contract name, start date, end date, and baan code for extra work @toberhuber
* Coordinator defaults for job offer deadlines, extra work baan codes and start/end dates @toberhuber
* A cohort cache @toberhuber
* TA training approval page @toberhuber
* Open job offers are now sorted by cohort, then start date, then name @toberhuber
* Scroll to same location after accepting, rejecting or sending job offers.
* Show if a student has TAed the course before in an application @cedricwilleken
* Last Modified and Created dates to all models @toberhuber
* FlexDelft export button on the all applications page @toberhuber
* Contract name, start date, end date, and baan code for job offers @toberhuber
* Hiring message which is shown to the student after accepting an offer @toberhuber
* Reasons to declarations @toberhuber
* Max hours to job offers and extra work @toberhuber
* Rejection message to job offers @toberhuber
* Hiring, rejection, coordinator name, coordinator email defaults @toberhuber
* FlexDelft export for declarations @toberhuber
* TA training and raise request imports + tests @toberhuber
* Confirmations to reject, offer, and retract for applications and declarations @toberhuber
* Email notification preferences @toberhuber
* Email notifications @toberhuber

### Changed
* Redirect to job-offer instead of profile on login @toberhuber
* Replace NetID with email in exports @toberhuber
* Job offers and applications are merged into one page with tabs @toberhuber
* Extra work and declarations are merged into one page with tabs @toberhuber
* Job offers and extra work are now accordions instead of cards @toberhuber
* Applications can be retracted and accepted via the job-offer/open page @toberhuber
* Clicking around an overlay now closes it @toberhuber
* Profile page design is now similar to wireframes with cards @toberhuber
* Cards on the job offer management page are now similar to the wireframes @toberhuber
* Tables now stack on mobile @toberhuber
* Extra work only visible if hired for that course @toberhuber
* The all job offer management page now displays courses as accordions instead of cards @toberhuber
* Editing and adding job offers and extra work now refers to the name as description @toberhuber
* Upgraded from Java 11 to Java 17 @toberhuber
* Upgraded all dependencies except Sentry @toberhuber
* Making an action on open job offers page no longer redirects you to applications/my @toberhuber
* "Declare" changed to "Request Contract" on extra-work/open @toberhuber
* Moved badges to in front of the offer name and added open/applied/offered states @toberhuber
* Set hide previous editions to true by default @toberhuber
* Moved offer position button to top of applications table + Changed name to "Offer Positions" @toberhuber
* Default payscale from SA1 to SA2 @toberhuber
* All declarations and applications pages only show active ones, as does their export @toberhuber
* Removed unnecessary "Edition" and "Offer" columns from specific job offer and extra work exports @toberhuber
* Allow lecturers to offer jobs to multiple students simultaneously @cchen9
* Declarations are now aggregated by Baan-Code and Student @toberhuber
* Job Offer Details are now shown on the side of the job offer page through an overlay @hpage 
* FlexDelft exports for applications now contain approver + coordinator @toberhuber
* Edition creation now doesn't require a start/end time, only date @toberhuber
* Job offer import now allows for creating editions @rbackx
* Renamed declarations to contract requests @toberhuber
* Hiring message visible when accepted and offered @toberhuber
* TA Training and Raise Requests only show programme specific requests @toberhuber
* All applications and all contract requests pages only show programme specific applications/declarations (including exports) @toberhuber
* Renames "Manage Defaults" to "Manage Programme" @toberhuber

### Fixed
* Header icons now stack and align nicely as per wireframes @toberhuber
* Search bar and page titles now stack @toberhuber
* Collapse icons now flip depending on state of accordion @toberhuber
* Applying to 2+ positions from same course edition no longer results in error @toberhuber
* NetID and email replaced with display name and student number @toberhuber
* The hours input box in the new declaration overlay is no longer a time, but rather regex checked text box @toberhuber
* Checkmark now centered in checkbox on all browsers @toberhuber
* Incorrect NetID and student number during offering position to specific person no longer result in error page @toberhuber
* Overlay labels and inputs now stack on mobile @toberhuber
* Statistics stack on mobile @toberhuber
* Date field is now required when adding deadline + completing training @toberhuber
* Rejecting all applications when there are none unhandled now doesn't crash @toberhuber
* Raise requests are handleable by coordinators @toberhuber
* Taking an action on the extra work page now keeps the scroll position @toberhuber
* Extra work and job offer names can no longer be blank @toberhuber
* Overlay scrolling to white @toberhuber
* Logout button sometimes not working @toberhuber
* Improved accordion borders to distinguish between courses @toberhuber
* Improved mobile badges @toberhuber
* Access denied bug, due to managers being checked in course, not edition @toberhuber
* Retracted applications and declarations no longer appear on exports @toberhuber
* RequestURI too long when importing training/raise requests @toberhuber
* Offering positions to people with open applications @toberhuber
* EditionID being used as CohortID in FlexDelft exports @toberhuber
* Notification of unhandled declarations didn't include rejected declarations @toberhuber
* Creating new editions when looking at the "all courses" page @toberhuber

### Deprecated
* Removed person note model @toberhuber
* Contract start/end date on extra work @toberhuber
* Logged-in homepage @toberhuber

## [1.9] - (07-01-2021)

## [Pre-TAM2] - (10-10-2019)

## [0.0.3] - (08-10-2019)

### Added
* Sentry logging

## [0.0.2] - (23-08-2019)
**Initial Release**
