# Creating a Job Offer

When you have an edition, you can start creating job offers.
One job offer represents one type of contract.
As an example, take a course that has self study sessions where TAs walk around to answer questions
and TAs also create assignments throughout the course.
If these are the same TAs, it makes sense to create one job offer: 'TA',
but if it is possible to get hired as only an 'assignment creation TA'
and not as a 'self study session TA', then two job offers would be better:
'self study session TA' and 'assignment TA'.

Job offers are only for regular work done throughout the course.
If there is some task which is done once by some TAs, 
e.g. grading, creating assignments before the course starts, invigilating the exam,
you should [create contract offers](/labrador/tam/TAM_for_Teachers/3_Creating_Contract_Offers) instead.

To create a new job offer, navigate to the manager portal, 
then click 'add' next to 'Job Offers' for your course.
You will see the following form:

![](./job_offer_create_form.png)

Most of these fields are self-explanatory,
and likely your TA coordinator has already filled in a lot of this information for you.
You might want to change the following fields:

 - Job description: This is the title of the job offer students will see.
  A short description here will suffice, for example 'TA', 'Mentor', or 'Group Supervisor'.
 - Job information: This is a longer piece of information about your job offer.
  Students see this before they apply, and they can react to it when applying.
  Markdown in this field is supported.
 - Contract name: This is the name of the contract as will be sent to FlexDelft.
 - Baancode (Contract code): If you know the baancode for your contract you can set it,
  but your TA coordinator might have already set a baancode for you.
  If you are not sure what to enter here, and it is not filled in for you, contact your TA coordinator.
 - Max hours: The maximum amount of hours TAs can declare in total on this contract.
  It is recommended to set this slightly higher than the expected maximum amount of hours.
 - Contract start and end date: This is information for FlexDelft. 
  Students can declare hours between the start and end date.
 - Deadline for applying: If there is a deadline for applying, you can check this box and fill in a deadline.
 - Make draft: If you check this box, the job offer will not be visible to students.
  This is useful if you want to create the job offer first and then make it visible later.

After you have filled in the form, press 'Save'. You can then view your new job offer
by clicking its name in the manager portal. This will lead you to the job offer's specific page.

On this page you can see the job offer's information, and several additional options:

![](./job_offer_training_messages_info.png)

In general, these fields will already be pre-filled for you by your TA coordinator.
However, you may want to change the following:

 - Job Information: This can provide more details about the job to the student
(e.g. scheduling requirements, specific tasks, etc.). This field supports Markdown.
You may also require the student to reply to this message when applying.
 - Hiring Message: This is a message that will be shown to students when they are offered the job.
For instance, you may inform them of the day of the week that they would be working.
 - Rejection Message: This is a message that will be shown to students when they are rejected.
 - Required Trainings: If there are any trainings that TAs need to follow before they can start working,
you can add them here. You can add a training by selecting one and clicking 'Add'. Similarly, you can
remove a training by clicking 'Remove' next to the specified training.



