/*
 * TAM
 * Copyright (C) 2021 - Delft University of Technology
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package nl.tudelft.tam.cache;

import java.util.List;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.context.annotation.RequestScope;

import nl.tudelft.labracore.api.CohortControllerApi;
import nl.tudelft.labracore.api.dto.CohortDetailsDTO;

@Component
@RequestScope
public class CohortCacheManager extends CoreCacheManager<Long, CohortDetailsDTO> {

	@Autowired
	private CohortControllerApi api;

	@Override
	protected List<CohortDetailsDTO> fetch(List<Long> ids) {
		return ids.stream().map(id -> api.getCohortById(id).block()).collect(Collectors.toList());
	}

	@Override
	protected Long getId(CohortDetailsDTO dto) {
		return dto.getId();
	}

}
