/*
 * TAM
 * Copyright (C) 2021 - Delft University of Technology
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package nl.tudelft.tam.config;

import org.modelmapper.ModelMapper;
import org.modelmapper.convention.MatchingStrategies;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Configuration;

import nl.tudelft.librador.EnableLibrador;
import nl.tudelft.librador.LibradorConfigAdapter;
import nl.tudelft.librador.dto.id.IdMapperBuilder;
import nl.tudelft.tam.dto.id.JobOfferIdDTO;
import nl.tudelft.tam.dto.id.ProfileIdDTO;
import nl.tudelft.tam.model.JobOffer;
import nl.tudelft.tam.model.Profile;

@Configuration
@EnableLibrador
public class LibradorConfiguration extends LibradorConfigAdapter {

	@Override
	protected void configure(IdMapperBuilder builder) {
		builder.register(ProfileIdDTO.class, Profile.class);
		builder.register(JobOfferIdDTO.class, JobOffer.class);
	}

	@Override
	public ModelMapper modelMapper(ApplicationContext context) {
		ModelMapper mapper = super.modelMapper(context);
		mapper.getConfiguration().setMatchingStrategy(MatchingStrategies.STRICT);
		return mapper;
	}

}
