/*
 * TAM
 * Copyright (C) 2021 - Delft University of Technology
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package nl.tudelft.tam.dto.view.summary;

import lombok.*;
import lombok.experimental.SuperBuilder;
import nl.tudelft.librador.dto.view.View;
import nl.tudelft.tam.enums.Status;
import nl.tudelft.tam.model.Declaration;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class DeclarationSummaryDTO extends View<Declaration> {

	private long id;

	private int amount; // amount of quarters, e.g. 1h = 4

	private String reason;

	private long personId;

	private long workId;

	@Builder.Default
	private Status status = Status.SUBMITTED;

	@Override
	public void postApply() {
		super.postApply();
		this.personId = data.getPerson().getId();
		this.workId = data.getExtraWork().getId();
	}
}
