/*
 * TAM
 * Copyright (C) 2021 - Delft University of Technology
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package nl.tudelft.tam.model;

import javax.validation.constraints.NotNull;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/*
 * TODO: once suborganisation is implemented, change JobHolder to SubOrganisation and add a one to one
 * ProjectJobOffers entity
 */
@Data
@Entity
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class Project extends JobHolder {

	@NotNull
	@OneToOne
	private ProjectId projectId;

	@NotNull
	private String name;

	@NotNull
	@ManyToOne
	private TAMProgram organisation; //TODO: once Organisation is implemented, change TAMProgram to Organisation

	@PrePersist
	private void prePersist() {
		this.id = "project-" + projectId.getId(); // Avoid overlap with IDs of other JobHolders
	}

}
