/*
 * TAM
 * Copyright (C) 2021 - Delft University of Technology
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package nl.tudelft.tam.model.embeddables;

import java.time.LocalDate;

import javax.annotation.Nullable;

import jakarta.persistence.Column;
import jakarta.persistence.Embeddable;
import jakarta.persistence.Lob;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Embeddable
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class JobOfferDefault {

	@Nullable
	@Column(columnDefinition = "DATE")
	private LocalDate applicationDeadline;

	@Nullable
	private String contractName;

	@Nullable
	private String contractBaanCode;

	@Nullable
	@Column(columnDefinition = "DATE")
	private LocalDate contractStartDate;

	@Nullable
	@Column(columnDefinition = "DATE")
	private LocalDate contractEndDate;

	@Lob
	@Nullable
	@Column(columnDefinition = "LONGTEXT")
	private String description;

	@Lob
	@Nullable
	@Column(columnDefinition = "LONGTEXT")
	private String hiringMessage;

	@Lob
	@Nullable
	@Column(columnDefinition = "LONGTEXT")
	private String rejectMessage;

}
