/*
 * TAM
 * Copyright (C) 2021 - Delft University of Technology
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package nl.tudelft.tam.controller;

import java.util.Random;

import org.junit.jupiter.api.TestInstance;
import org.modelmapper.ModelMapper;
import org.modelmapper.convention.MatchingStrategies;

@TestInstance(TestInstance.Lifecycle.PER_CLASS)
public abstract class ControllerTest {

	private final Random random;
	private final ModelMapper mapper;

	public ControllerTest() {
		random = new Random(seed());
		mapper = new ModelMapper();
		mapper.getConfiguration().setMatchingStrategy(MatchingStrategies.STRICT);
	}

	public Long randomId() {
		return random.nextLong(0L, 10000000L);
	}

	public <T> T map(Object source, Class<T> dest) {
		return mapper.map(source, dest);
	}

	public Long seed() {
		return 42L;
	}

}
