/*
 * TAM
 * Copyright (C) 2021 - Delft University of Technology
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package nl.tudelft.tam.repository;

import static org.assertj.core.api.Assertions.assertThat;
import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.rest.webmvc.ResourceNotFoundException;

import application.test.TestTAMApplication;
import nl.tudelft.tam.model.Profile;

@SpringBootTest(classes = TestTAMApplication.class)
class ProfileRepositoryTest {

	@Autowired
	private ProfileRepository repository;

	@Test
	void findByIdOrThrow() {
		Long id = 7354L;

		assertThrows(ResourceNotFoundException.class, () -> repository.findByIdOrThrow(id));

		Profile profile = repository.save(Profile.builder().id(id).build());

		assertThat(repository.findByIdOrThrow(profile.getId()))
				.isEqualTo(profile);
	}
}
